/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.se.eip.async;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.process.async.AsyncContext;

/**
 * EIP Asynchronous context.
 * 
 * @author rnaudin
 * @author Frederic Gardes
 * 
 */
public abstract class AbstractAsyncContext extends AsyncContext {

    public static final long DEFAULT_TIME_TO_LIVE = 600000;

    private final String pattern;

    private boolean terminated = false;

    /**
     * The Constructor
     * 
     * @param originalExchange
     * @param timeToLive
     * @param pattern
     */
    protected AbstractAsyncContext(final Exchange originalExchange, final Long timeToLive,
            final String pattern) {
        super(originalExchange, timeToLive);
        this.pattern = pattern;
    }

    public String getPattern() {
        return this.pattern;
    }

    public void setTerminated() {
        this.terminated = true;
    }

    public boolean isTerminated() {
        return this.terminated;
    }

}
